classification
Title: Clarify the interaction between locale coercion & UTF-8 mode
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ncoghlan Nosy List: miss-islington, ncoghlan, ned.deily, vstinner
Priority: high Keywords: patch

Created on 2018-05-02 11:33 by ncoghlan, last changed 2018-06-09 10:52 by ncoghlan. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7534 merged ncoghlan, 2018-06-08 13:49
PR 7555 merged miss-islington, 2018-06-09 06:57
Messages (6)
msg316069 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2018-05-02 11:33
While Victor and I reconciled the respective designs & implementations of PEP 538/540 (with 538 relying on 540 to handle the "No suitable target locale" case, and 540 relying on 538 to handle extension modules like GNU readline), the interaction between the two mechanisms currently isn't clear in the documentation.

So, before 3.7rc1 goes out, we should:

1. Combine the presentation of the two PEPs in the What's New documentation to make it clearer that they're tackling different aspects of the same problem
2. Clarify in the reference docs for PYTHONCOERCECLOCALE and PYTHONUTF8MODE that they're independent settings (so you have to explicitly turn them *both* off if you truly want to force ASCII based text handling in the C or POSIX locale)



(Issue raised based on a Twitter discussion with Anthony Shaw at https://twitter.com/anthonypjshaw/status/991614899791933441)
msg317795 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2018-05-27 14:51
Ned, just adding you to the nosy list here, as I don't think this is a release blocker per se (since nothing's actually *broken*), but the current state of the PEP 538/540 docs is such that it isn't going to be clear to most readers why both mechanisms exist, or how they interact with each other.
msg317802 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-05-27 18:13
Nick, thanks for the notification.  I assume this means you are planning to provide one or more updates.  If so, any idea when?
msg317848 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2018-05-28 13:11
I'm aiming for this week, so with the docstring-AST-induced delay I should even meet the original rc1 goal :)
msg319137 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2018-06-09 06:54
New changeset 1bcb8a636857e3383d65aaf196f93edb949f2e79 by Nick Coghlan in branch 'master':
bpo-33409: Clarify PEP 538/540 relationship (GH-7534)
https://github.com/python/cpython/commit/1bcb8a636857e3383d65aaf196f93edb949f2e79
msg319138 - (view) Author: miss-islington (miss-islington) Date: 2018-06-09 07:13
New changeset dd613cf335d7556e20ef3dd01c3abc081b958449 by Miss Islington (bot) in branch '3.7':
bpo-33409: Clarify PEP 538/540 relationship (GH-7534)
https://github.com/python/cpython/commit/dd613cf335d7556e20ef3dd01c3abc081b958449
History
Date User Action Args
2018-06-09 10:52:56ncoghlansetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-06-09 07:13:55miss-islingtonsetnosy: + miss-islington
messages: + msg319138
2018-06-09 06:57:11miss-islingtonsetpull_requests: + pull_request7189
2018-06-09 06:54:11ncoghlansetmessages: + msg319137
2018-06-08 13:49:46ncoghlansetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request7172
2018-05-28 13:11:47ncoghlansetmessages: + msg317848
2018-05-27 18:13:22ned.deilysetmessages: + msg317802
2018-05-27 14:51:30ncoghlansetnosy: + ned.deily
messages: + msg317795
2018-05-02 11:33:42ncoghlancreate